# Generated from iso8601-basic-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name iso8601-basic

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Very basic implementation of the ISO8601 spec - http://en.wikipedia.org/wiki/ISO_8601
License: MIT
URL: https://github.com/ticketinghub/iso8601-basic
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Very basic implementation of the ISO8601 spec -
http://en.wikipedia.org/wiki/ISO_8601.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/iso8601-basic.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.0-1
- Initial package
